Compatibility issues Rated 3 out of 5 stars

Tried it on an earlier version of Firefox but, unfortunately, it appears it is not compatible with Firefox 16.0 using the ubuntu version. Any suggestions?

This add-on is for Thunderbird, not Firefox.